import React from 'react';
import ReactDOM from 'react-dom';
import { BrowserRouter } from 'react-router-dom';
import { Provider } from 'react-redux';
import App from './routes/app';
import reportWebVitals from './reportWebVitals';

import { ApolloProvider } from '@apollo/react-hooks';
import ApolloClient from 'apollo-boost'

import store from './store';
import './styles/index.scss';

const clientParam = { uri: 'http://player.asmer.fs.a-level.com.ua/graphql' };
const client = new ApolloClient(clientParam);


ReactDOM.render(
  <React.StrictMode>
    <BrowserRouter>
      <ApolloProvider client={client}>
        <Provider store={store}>
          <App />
        </Provider>
      </ApolloProvider>
    </BrowserRouter>
  </React.StrictMode>,
  document.getElementById('root')
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
